BITBAKE(1)

NAME
BitBake - simple tool for the execution of tasks

SYNOPSIS
bitbake [options] packagenames

DESCRIPTION
This manual page documents briefly the bitbake command.

bitbake is a program that executes the specified task (default is 'build') for a given set of BitBake files.
It expects that BBFILES is defined, which is a space separated list of files to be executed. BBFILES does support wildcards.
Default BBFILES are the .bb files in the current directory.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-h, --help
    Show summary of options.

--version
    Show version of program.

-bBUILDFILE, --buildfile=BUILDFILE
    execute the task against this .bb file, rather than a package from BBFILES.

-k, --continue
    continue as much as possible after an error. While the target that failed, and those that depend on it, cannot be remade, the other dependencies of these targets can be processed all the same.

-a, --tryaltconfigs
    continue with builds by trying to use alternative providers where possible.

-f, --force
    force run of specified cmd, regardless of stamp status

-i, --interactive
    drop into the interactive mode also called the BitBake shell.

-cCMD, --cmd=CMD
    Specify task to execute. Note that this only executes the specified task for the providee and the packages it depends on, i.e. 'compile' does not implicitly call stage for the dependencies (IOW: use only if you know what you are doing). Depending on the base.bbclass a listtasks task is defined and will show available tasks.

-rFILE, --read=FILE
    read the specified file before bitbake.conf

-v, --verbose
    output more chit-chat to the terminal

-D, --debug
    Increase the debug level. You can specify this more than once.

-n, --dry-run
    don't execute, just go through the motions

-p, --parse-only
    quit after parsing the BB files (developers only)

-s, --show-versions
    show current and preferred versions of all packages

-e, --environment
    show the global or per-package environment (this is what used to be bbread)

-g, --graphviz
    emit the dependency trees of the specified packages in the dot syntax

-IIGNORED_DOT_DEPS, --ignore-deps=IGNORED_DOT_DEPS
    Stop processing at the given list of dependencies when generating dependency graphs. This can help to make the graph more appealing

-lDEBUG_DOMAINS, --log-domains=DEBUG_DOMAINS
    Show debug logging for the specified logging domains

-P, --profile
    profile the command and print a report

-uUI, --ui=UI
    User interface to use. Currently, hob, depexp, goggle or ncurses can be specified as UI.

-tSERVERTYPE, --servertype=SERVERTYPE
    Choose which server to use, none, process or xmlrpc.

--revisions-changed
    Set the exit code depending on whether upstream floating revisions have changed or not.

--server-only
    Run bitbake without UI, the frontend can connect with bitbake server itself.

-BBIND, --bind=BIND
    The name/address for the bitbake server to bind to.

--no-setscene
    Do not run any setscene tasks, forces builds.

ENVIRONMENT VARIABLES
bitbake uses the following environment variables to control its operation:

BITBAKE_UI
    The bitbake user interface; overridden by the -u commandline option.

AUTHORS
BitBake was written by Phil Blundell, Holger Freyther, Chris Larson, Mickey Lauer, Richard Purdie, Holger Schurig

This manual page was written by Marcin Juszkiewicz <marcin@hrw.one.pl> for the Debian project (but may be used by others).